%global __os_install_post %{nil}
%define _rpmdir @result_dir@
%define _rpmfilename %%{NAME}.%%{VERSION}.rpm

Summary: Command line interface for Evernym VDR Tools
Name: vdrtools-cli
Version: @version@
Release: @release@
License: Apache License 2.0
Group: System Environment/Libraries
Source: https://gitlab.com/evernym/verity/vdr-tools/
Requires: libvdrtools
BuildRequires: libvdrtools

%description
This is the official command line interface for VDR Tools, which provides a distributed-ledger-based foundation for self-sovereign identity.

%prep
%build

%install
rm -rf ${RPM_BUILD_ROOT}

install -dm0755 $RPM_BUILD_ROOT/%{_bindir}
install -Dm0644 @dir@/target/release/vdrtools-cli $RPM_BUILD_ROOT/%{_bindir}/vdrtools-cli

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(755,root,root)
%{_bindir}/vdrtools-cli*

%changelog
